﻿using System;
using System.Linq;

namespace LinqToSqlNorthwind
{
    // Creating the Nortwind database
    // http://msdn.microsoft.com/en-us/library/8b6y4c7s.aspx
    class Program
    {
        static void Main(string[] args)
        {
            //CheapProducts();

            GetBeverages();
        }

        private static void GetBeverages()
        {
            // De Smet page 928
            using (var ctx = new NorthwindDataContext())
            {
                ctx.Log = Console.Out;
                var beverages = from product in ctx.Products
                    where product.Category.CategoryName == "Beverages"
                    select product;
                foreach (Product product in beverages)
                {
                    Console.WriteLine(product.ProductName);
                }
            }
        }

        private static void CheapProducts()
        {
            // De Smets page 925
            using (var ctx = new NorthwindDataContext())
            {
                ctx.Log = Console.Out;

                var cheap = from product in ctx.Products
                            where product.UnitPrice < 25
                            select product;
                foreach (var product in cheap)
                {
                    Console.WriteLine("{0} costs {1}", product.ProductName, product.UnitPrice);
                }
            }
        }
    }
}
